/*==== Import Fonts ====*/

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap');

/*==== utilities =====*/

body {
    background-color: #f3f1ff;
    font-family: 'Poppins', sans-serif;
}

main {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.container {
    width: 870px;
    background-color: #fff;
    padding: 30px;
    border-radius: 5px;
    margin-top: 21px;
}

hr {
    border: 1px solid #d1d1d1;
    margin-bottom: 27px;
}

/*==== top player style start ====*/

.top-players {
    margin-bottom: 30px;
}

.top-player-title,
.top-blog-title,
.latest-course-title {
    color: #562eff;
    font-weight: 500;
    font-size: 24px;
    margin-top: 3px;
}

.players {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-row-gap: 30px;
}

.player {
    display: flex;
    align-items: center;
}

.player img {
    width: 56px;
    height: 56px;
}

.player-name {
    margin-left: 16px;
    font-size: 18px;
}

/*==== top player style end ====*/

/*==== top blog style start ====*/

.blogs {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-row-gap: 26px;
}

.blog {
    display: flex;
}

.blog .thumbnail img {
    width: 177px;
    height: 130px;
}

.blog-info {
    margin-left: 16px;
}

.blog-title {
    font-size: 20px;
}

.blog-author {
    color: #9f9f9f;
    font-size: 16px;
}

.blog-author a {
    color: #562eff;
    font-size: 16px;
    text-decoration: none;
}

/*==== top blog style end ====*/

/*==== Course style start ====*/

.courses {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 24px;
}

.course {
    width: 253px;
    padding: 10px;
    border-radius: 15px;
    box-shadow: 1px 2px 10px rgba(0, 0, 0, 0.2);
}

.course .course-banner img {
    width: 100%;
    height: 104px;
}

.course-author {
    color: #ed6b4f;
}

.course-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.course-duration {
    color: #ff4a60;
    border-radius: 30px;
    padding: 0 10px;
    background-color: #fee5df;
}

.fa-star {
    font-size: 12px;
}

.fa-star.filled {
    color: #FFC014;
}

.fa-star.empty {
    color: #AEAEAE;

}

.fa-clock {
    color: #ff4a60;
}

/*==== Course style end ====*/